"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SummarySerializer = void 0;
const serializer_js_1 = require("./serializer.js");
/**
 * Serializer implementation for serializing handles during summary.
 * @internal
 */
class SummarySerializer extends serializer_js_1.FluidSerializer {
    constructor() {
        super(...arguments);
        this.serializedRoutes = new Set();
    }
    getSerializedRoutes() {
        return [...this.serializedRoutes];
    }
    bindAndEncodeHandle(handle, bind) {
        this.serializedRoutes.add(handle.absolutePath);
        return super.bindAndEncodeHandle(handle, bind);
    }
}
exports.SummarySerializer = SummarySerializer;
//# sourceMappingURL=summarySerializer.js.map