/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { FluidSerializer } from "./serializer.js";
/**
 * Serializer implementation for serializing handles during summary.
 * @internal
 */
export class SummarySerializer extends FluidSerializer {
    constructor() {
        super(...arguments);
        this.serializedRoutes = new Set();
    }
    getSerializedRoutes() {
        return [...this.serializedRoutes];
    }
    bindAndEncodeHandle(handle, bind) {
        this.serializedRoutes.add(handle.absolutePath);
        return super.bindAndEncodeHandle(handle, bind);
    }
}
//# sourceMappingURL=summarySerializer.js.map